﻿@using System.Web.Optimization
<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <meta name="keywords" content="battle of europe, boe, mod, mount&blade, mount&blade: warband, warband" />
    <meta name="description" content="Battle of Europe is set in the early 16th-century europe(campaign starts in 1521) with all it's weapons, armors etc. of this time period. Our goal is to make this mod as realistic and historically accurate as possible. The mod will include a multiplayer mode with a persistent online campaign and character development. A singleplayer campaign is also in development." />
    <title>Battle of Europe</title>
    @Styles.Render("~/Content/main")
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/knockout")
    @Scripts.Render("~/bundles/sammy")
    @Scripts.Render("~/bundles/app")
</head>
<body>
    <div id="body-wrapper">
        <header id="header">
            <div id="boe-news" class="font-micro">
                <div id="news-dom" style="display: none;">
                    <div class="inline-block news-info"><label>Online players: </label><span data-bind="text: onlinePlayers"></span></div>
                    <div class="inline-block news-info"><label>Online servers: </label><span data-bind="text: onlineServers"></span></div>
                    <div id="news-box">
                        <div>
                            <ul class="simple-list" data-bind="foreach: news">
                                <li class="news-item" data-bind="click: $parent.showNews"><span data-bind="text: CreationDate"></span> | <span data-bind="text: Title"></span></li>
                                <li class="news-popup" data-bind="attr: { id: 'news-' + NewsId() }">
                                    <div class="app-zone">
                                        <div class="inner"><h3 data-bind="text: Title"></h3><p class="news-content" data-bind="text: Content"></p><p class="news-footer font-small">Posted on <span data-bind="text: CreationDate"></span></p></div>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
            <div id="boe-info">
                <div><a class="app-simple-link font-small" href="http://forums.taleworlds.com/index.php?board=368.0" target="_blank">Forum</a></div>
                <div><a class="app-simple-link font-small" href="http://forums.taleworlds.com/index.php/topic,311491.0.html" target="_blank">Download</a></div>
            </div>
            <div id="boe-title"><h1 id="boe-letters"></h1></div>
        </header>
        <div id="body">
            <section id="app-loading" class="app">
                <div id="loading-content"  class="content">
                    <div>
                        <div id="big-loading" class="loading-gif big">
                        </div>
                    </div>
                </div>
            </section>
            <section id="app-login" class="app" style="display: none">
                <div id="login-content"  class="content">
                    <section id="login" class="view">
                        @RenderPage("Views/Login/Login.cshtml")
                    </section>
                    <section id="instructions" class="view">
                        @RenderPage("Views/Login/Instructions.cshtml")
                    </section>
                    <section id="register" class="view">
                        @RenderPage("Views/Login/Register.cshtml")
                    </section>
                    <section id="reset" class="view">
                        @RenderPage("Views/Login/Reset.cshtml")
                    </section>
                </div>
            </section>
            <section id="app-main" class="app" style="display: none">
                <div id="menu">
                    <ul id="nav" class="inline-block">
                        <li id="app-refresh" class="inline-block app-action" 
                            data-bind="tutoTips: { text: 'User this button to refresh the site.', title: 'Tips', button: 'Close' }"><div class="inner"></div></li>
                        <li id="char-link" class="app-link inline-block"><a href="#/char"><span>Character</span></a></li>
                        <li id="market-link" class="app-link inline-block"><a href="#/market"><span>Market</span></a></li>
                        <li id="clan-link" class="app-link inline-block"><a href="#/clan"><span>Clan</span></a></li>
                        <li id="info-link" class="app-link inline-block"><a href="#/info"><span>Info</span></a></li>
                    </ul>
                    <div id="account" class="float-right inline-block">
                        <span id="logout" class="app-action">Logout</span>
                    </div>
                </div>
                <div id="main-content" class="content">
                    <div id="nav-left" class="table-cell" data-bind="template: { name: 'temp-nav-left', data: boe.navLefts }"></div>
                    <div id="main-view" class="table-cell">
                        <div class="inner">
                            <section id="char" class="view">
                                @RenderPage("Views/Main/Char.cshtml")
                            </section>
                            <section id="inv" class="view">
                                @RenderPage("Views/Main/Inv.cshtml")
                            </section>
                            <section id="settings" class="view">
                                @RenderPage("Views/Main/Settings.cshtml")
                            </section>
                            <section id="shop" class="view">
                                @RenderPage("Views/Main/Shop.cshtml")
                            </section>
                            <section id="loom" class="view">
                                @RenderPage("Views/Main/Loom.cshtml")
                            </section>
                            <section id="trade" class="view">
                                @RenderPage("Views/Main/Trade.cshtml")
                            </section>
                            <section id="info" class="view">
                                @RenderPage("Views/Main/Info.cshtml")
                            </section>
                            <section id="clan" class="view">
                                @RenderPage("Views/Main/Clan.cshtml")
                            </section>
                            <section id="create-clan" class="view">
                                @RenderPage("Views/Main/CreateClan.cshtml")
                            </section>
                            <section id="clans" class="view">
                                @RenderPage("Views/Main/Clans.cshtml")
                            </section>
                        </div>
                    </div>
                </div>
                @RenderPage("Views/Main/Templates.cshtml")
            </section>
        </div>
    </div>
    <footer id="footer">
        <div id="footer-message"><span>&copy @DateTime.Now.Year Bad Bug Busters</span></div>
        <div id="footer-flower"></div>
    </footer>
</body>
</html>